# SmiCoreData Class Reference

`#include <SmiScnData.hpp>`

List of all members.

## Public Member Functions
int | getNumCols ()
int | getNumRows ()
int | getNumElements ()
int | getNumStages ()
int | getNumCols (SmiStageIndex t)
int | getNumRows (SmiStageIndex t)
int | getColStart (SmiStageIndex t)
int | getRowStart (SmiStageIndex t)
int | getColStage (int i)
int | getRowStage (int i)
int | getRowInternalIndex (int i)
int | getColInternalIndex (int i)
int | getRowExternalIndex (int i)
int | getColExternalIndex (int i)
const double * | getDenseRowLower (SmiStageIndex t)
const double * | getDenseRowUpper (SmiStageIndex t)
const double * | getDenseColLower (SmiStageIndex t)
const double * | getDenseColUpper (SmiStageIndex t)
const double * | getDenseObjCoefficients (SmiStageIndex t)
std::vector< int > | getIntCols (int stage)
int * | getIntegerIndices ()
int | getIntegerLength ()
int * | getBinaryIndices ()
int | getBinaryLength ()
double | getInfinity ()
void | copyRowLower (double *drlo, SmiStageIndex t)
void | copyRowUpper (double *drup, SmiStageIndex t)
void | copyColLower (double *dclo, SmiStageIndex t)
void | copyColUpper (double *dcup, SmiStageIndex t)
void | copyObjective (double *dobj, SmiStageIndex t)
SmiNodeData * | getNode (SmiStageIndex t)
void | setColumnNames (char **namesStrict, char **namesFree)
char ** | getColumnNames (bool strictFormat=true)
| SmiCoreData (CoinMpsIO *cMps, int nstag, int *cstag, int *rstag, int *integerIndices=0, int integerLength=0, int *binaryIndices=0, int binaryLength=0)
| SmiCoreData (OsiSolverInterface *osi, int nstag, int *cstag, int *rstag, int *integerIndices=0, int integerLength=0, int *binaryIndices=0, int binaryLength=0)
| ~SmiCoreData ()
## Private Member Functions
void | gutsOfConstructor (int nrow, int ncol, int nstag, int *cstag, int *rstag, CoinPackedMatrix *matrix, CoinPackedVector *dclo, CoinPackedVector *dcup, CoinPackedVector *dobj, CoinPackedVector *drlo, CoinPackedVector *drup, int *integerIndices=0, int integerLength=0, int *binaryIndices=0, int binaryLength=0)
OsiSolverInterface * | generateCoreProblem (OsiSolverInterface *osi)
## Private Attributes
int | nrow_
int | ncol_
int | nz_
SmiStageIndex | nstag_
int * | nColInStage_
int * | nRowInStage_
int * | stageColPtr_
int * | stageRowPtr_
int * | colStage_
int * | rowStage_
int * | colEx2In_
int * | rowEx2In_
int * | colIn2Ex_
int * | rowIn2Ex_
int * | integerIndices_
int | integerLength_
int * | binaryIndices_
int | binaryLength_
double | infinity_
double ** | cdrlo_
double ** | cdrup_
double ** | cdobj_
double ** | cdclo_
double ** | cdcup_
std::vector< SmiNodeData * > | nodes_
std::vector< double * > | pDenseRow_
std::vector< std::vector< int > > | intColsStagewise
char ** | colNamesStrict
char ** | colNamesFree

## Detailed Description

Definition at line 189 of file SmiScnData.hpp.

## Constructor & Destructor Documentation

SmiCoreData::SmiCoreData | ( | CoinMpsIO * | cMps,
|  | int | nstag,
|  | int * | cstag,
|  | int * | rstag,
|  | int * | integerIndices = `0`,
|  | int | integerLength = `0`,
|  | int * | binaryIndices = `0`,
|  | int | binaryLength = `0` |
| ) |  |  |

SmiCoreData::SmiCoreData | ( | OsiSolverInterface * | osi,
|  | int | nstag,
|  | int * | cstag,
|  | int * | rstag,
|  | int * | integerIndices = `0`,
|  | int | integerLength = `0`,
|  | int * | binaryIndices = `0`,
|  | int | binaryLength = `0` |
| ) |  |  |

SmiCoreData::~SmiCoreData | ( |  | ) |

## Member Function Documentation

int SmiCoreData::getNumCols | ( |  | ) | `[inline]`

Definition at line 192 of file SmiScnData.hpp.

int SmiCoreData::getNumRows | ( |  | ) | `[inline]`

Definition at line 193 of file SmiScnData.hpp.

int SmiCoreData::getNumElements | ( |  | ) | `[inline]`

Definition at line 194 of file SmiScnData.hpp.

int SmiCoreData::getNumStages | ( |  | ) | `[inline]`

Definition at line 195 of file SmiScnData.hpp.

int SmiCoreData::getNumCols | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 196 of file SmiScnData.hpp.

int SmiCoreData::getNumRows | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 197 of file SmiScnData.hpp.

int SmiCoreData::getColStart | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 198 of file SmiScnData.hpp.

int SmiCoreData::getRowStart | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 199 of file SmiScnData.hpp.

int SmiCoreData::getColStage | ( | int | i | ) | `[inline]`

Definition at line 200 of file SmiScnData.hpp.

int SmiCoreData::getRowStage | ( | int | i | ) | `[inline]`

Definition at line 201 of file SmiScnData.hpp.

int SmiCoreData::getRowInternalIndex | ( | int | i | ) | `[inline]`

Definition at line 203 of file SmiScnData.hpp.

int SmiCoreData::getColInternalIndex | ( | int | i | ) | `[inline]`

Definition at line 204 of file SmiScnData.hpp.

int SmiCoreData::getRowExternalIndex | ( | int | i | ) | `[inline]`

Definition at line 205 of file SmiScnData.hpp.

int SmiCoreData::getColExternalIndex | ( | int | i | ) | `[inline]`

Definition at line 206 of file SmiScnData.hpp.

const double* SmiCoreData::getDenseRowLower | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 210 of file SmiScnData.hpp.

const double* SmiCoreData::getDenseRowUpper | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 211 of file SmiScnData.hpp.

const double* SmiCoreData::getDenseColLower | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 212 of file SmiScnData.hpp.

const double* SmiCoreData::getDenseColUpper | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 213 of file SmiScnData.hpp.

const double* SmiCoreData::getDenseObjCoefficients | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 214 of file SmiScnData.hpp.

std::vector<int> SmiCoreData::getIntCols | ( | int | stage | ) | `[inline]`

Definition at line 216 of file SmiScnData.hpp.

int* SmiCoreData::getIntegerIndices | ( |  | ) | `[inline]`

Definition at line 217 of file SmiScnData.hpp.

int SmiCoreData::getIntegerLength | ( |  | ) | `[inline]`

Definition at line 218 of file SmiScnData.hpp.

int* SmiCoreData::getBinaryIndices | ( |  | ) | `[inline]`

Definition at line 219 of file SmiScnData.hpp.

int SmiCoreData::getBinaryLength | ( |  | ) | `[inline]`

Definition at line 220 of file SmiScnData.hpp.

double SmiCoreData::getInfinity | ( |  | ) | `[inline]`

Definition at line 221 of file SmiScnData.hpp.

void SmiCoreData::copyRowLower | ( | double * | drlo,
|  | SmiStageIndex | t |
| ) |  |  |

void SmiCoreData::copyRowUpper | ( | double * | drup,
|  | SmiStageIndex | t |
| ) |  |  |

void SmiCoreData::copyColLower | ( | double * | dclo,
|  | SmiStageIndex | t |
| ) |  |  |

void SmiCoreData::copyColUpper | ( | double * | dcup,
|  | SmiStageIndex | t |
| ) |  |  |

void SmiCoreData::copyObjective | ( | double * | dobj,
|  | SmiStageIndex | t |
| ) |  |  |

SmiNodeData* SmiCoreData::getNode | ( | SmiStageIndex | t | ) | `[inline]`

Definition at line 229 of file SmiScnData.hpp.

void SmiCoreData::setColumnNames | ( | char ** | namesStrict,
|  | char ** | namesFree |
| ) |  |  | `[inline]`

Definition at line 231 of file SmiScnData.hpp.

char** SmiCoreData::getColumnNames | ( | bool | strictFormat = `true` | ) | `[inline]`

Definition at line 232 of file SmiScnData.hpp.

void SmiCoreData::gutsOfConstructor | ( | int | nrow,
|  | int | ncol,
|  | int | nstag,
|  | int * | cstag,
|  | int * | rstag,
|  | CoinPackedMatrix * | matrix,
|  | CoinPackedVector * | dclo,
|  | CoinPackedVector * | dcup,
|  | CoinPackedVector * | dobj,
|  | CoinPackedVector * | drlo,
|  | CoinPackedVector * | drup,
|  | int * | integerIndices = `0`,
|  | int | integerLength = `0`,
|  | int * | binaryIndices = `0`,
|  | int | binaryLength = `0` |
| ) |  |  | `[private]`

OsiSolverInterface* SmiCoreData::generateCoreProblem | ( | OsiSolverInterface * | osi | ) | `[private]`

## Member Data Documentation

int SmiCoreData::nrow_`[private]`

Definition at line 249 of file SmiScnData.hpp.

int SmiCoreData::ncol_`[private]`

Definition at line 250 of file SmiScnData.hpp.

int SmiCoreData::nz_`[private]`

Definition at line 251 of file SmiScnData.hpp.

SmiStageIndex SmiCoreData::nstag_`[private]`

Definition at line 252 of file SmiScnData.hpp.

int* SmiCoreData::nColInStage_`[private]`

Definition at line 253 of file SmiScnData.hpp.

int* SmiCoreData::nRowInStage_`[private]`

Definition at line 254 of file SmiScnData.hpp.

int* SmiCoreData::stageColPtr_`[private]`

Definition at line 255 of file SmiScnData.hpp.

int* SmiCoreData::stageRowPtr_`[private]`

Definition at line 256 of file SmiScnData.hpp.

int* SmiCoreData::colStage_`[private]`

Definition at line 257 of file SmiScnData.hpp.

int* SmiCoreData::rowStage_`[private]`

Definition at line 258 of file SmiScnData.hpp.

int* SmiCoreData::colEx2In_`[private]`

Definition at line 259 of file SmiScnData.hpp.

int* SmiCoreData::rowEx2In_`[private]`

Definition at line 260 of file SmiScnData.hpp.

int* SmiCoreData::colIn2Ex_`[private]`

Definition at line 261 of file SmiScnData.hpp.

int* SmiCoreData::rowIn2Ex_`[private]`

Definition at line 262 of file SmiScnData.hpp.

int* SmiCoreData::integerIndices_`[private]`

Definition at line 263 of file SmiScnData.hpp.

int SmiCoreData::integerLength_`[private]`

Definition at line 264 of file SmiScnData.hpp.

int* SmiCoreData::binaryIndices_`[private]`

Definition at line 265 of file SmiScnData.hpp.

int SmiCoreData::binaryLength_`[private]`

Definition at line 266 of file SmiScnData.hpp.

double SmiCoreData::infinity_`[private]`

Definition at line 267 of file SmiScnData.hpp.

double** SmiCoreData::cdrlo_`[private]`

Definition at line 268 of file SmiScnData.hpp.

double** SmiCoreData::cdrup_`[private]`

Definition at line 269 of file SmiScnData.hpp.

double** SmiCoreData::cdobj_`[private]`

Definition at line 270 of file SmiScnData.hpp.

double** SmiCoreData::cdclo_`[private]`

Definition at line 271 of file SmiScnData.hpp.

double** SmiCoreData::cdcup_`[private]`

Definition at line 272 of file SmiScnData.hpp.

std::vector<SmiNodeData*> SmiCoreData::nodes_`[private]`

Definition at line 273 of file SmiScnData.hpp.

std::vector<double *> SmiCoreData::pDenseRow_`[private]`

Definition at line 274 of file SmiScnData.hpp.

std::vector< std::vector<int> > SmiCoreData::intColsStagewise`[private]`

Definition at line 275 of file SmiScnData.hpp.

char** SmiCoreData::colNamesStrict`[private]`

Definition at line 276 of file SmiScnData.hpp.

char** SmiCoreData::colNamesFree`[private]`

Definition at line 277 of file SmiScnData.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/Smi/src/SmiScnData.hpp